Bug 623896 - AttributeError: 'YumConf' object has no attribute 'config_file_age'
AttributeError: 'YumConf' object has no attribute 'config_file_age'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On: 609247
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-13 01:14 EDT by Jesse Keating
Modified: 2013-01-10 01:08 EST (History)
6 users (show)

See Also:
Fixed In Version: pungi-2.0.22-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 609247
Environment:
Last Closed: 2010-09-21 20:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2010-08-13 01:14:12 EDT
+++ This bug was initially created as a clone of Bug #609247 +++

Description of problem: pungi aborts on AttributeError 'config_file_age' w.r.t. umConf.


Version-Release number of selected component (if applicable):
pungi-2.1.1-1.fc14.noarch
yum-3.2.27-17.fc14.noarch
anaconda-14.9-1.fc14.x86_64


How reproducible: every time


Steps to Reproduce:
1./usr/bin/pungi -c /usr/share/pungi/rawhide-fedora.ks --destdir=/ext4/Fedora14 --name Fedora --ver 14 --nosource
2.
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/pungi", line 216, in <module>
    main()
  File "/usr/bin/pungi", line 86, in main
    mypungi._inityum() # initialize the yum object for things that need it
  File "/usr/lib/python2.6/site-packages/pypungi/__init__.py", line 165, in _inityum
    self.ayum.repos.setCacheDir(self.ayum.conf.cachedir)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 814, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 539, in _getRepos
    self.getReposFromConfig()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 418, in getReposFromConfig
    repo_config_age = self.conf.config_file_age
AttributeError: 'YumConf' object has no attribute 'config_file_age'


Expected results: no AttributeError


Additional info:

--- Additional comment from jkeating@redhat.com on 2010-06-29 19:03:52 EDT ---

Will be fixed in the next build of pungi, which is going on now.

--- Additional comment from thatch45@gmail.com on 2010-08-12 15:59:50 EDT ---

I am seeing what appears to be the same problem with pungi on fedora 13:

pungi-2.0.21-1.fc13.noarch
yum-3.2.28-1.fc13.noarch
anaconda-13.42-1.fc13.x86_64

pungi -c ais.ks --destdir=/srv/ --name Fedora --ver 14 --nosource

Traceback (most recent call last):
  File "/usr/bin/pungi", line 216, in <module>
    main()
  File "/usr/bin/pungi", line 86, in main
    mypungi._inityum() # initialize the yum object for things that need it
  File "/usr/lib/python2.6/site-packages/pypungi/__init__.py", line 165, in _inityum
    self.ayum.repos.setCacheDir(self.ayum.conf.cachedir)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 814, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 539, in _getRepos
    self.getReposFromConfig()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 418, in getReposFromConfig
    repo_config_age = self.conf.config_file_age
AttributeError: 'YumConf' object has no attribute 'config_file_age'

Happens every time, I can't get pungi to run.

--- Additional comment from jkeating@redhat.com on 2010-08-13 01:13:45 EDT ---

Guess I need to backport this for f13.
Comment 1 upgradeservices 2010-08-23 19:46:28 EDT
pungi is broken when the following packages were installed:

pungi-2.0.21-1
yum-3.2.28-3
anaconda-13.42-1


same exact error as per posts above, pungi does not work at all.
Comment 2 Fedora Update System 2010-08-24 21:30:02 EDT
pungi-2.0.22-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pungi-2.0.22-1.fc13
Comment 3 Fedora Update System 2010-08-25 20:56:07 EDT
pungi-2.0.22-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pungi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pungi-2.0.22-1.fc13
Comment 4 Thomas Jarosch 2010-09-21 07:45:52 EDT
btw: Same bug on Fedora 12. The backported fix for f13 works, too.
Comment 5 Fedora Update System 2010-09-21 20:34:55 EDT
pungi-2.0.22-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.